%define major_version	9.1
%global __requires_exclude pear\\(.*\\.php\\)

Name:       glpi
Version:    9.1.6
Release:    %mkrel 2
Summary:    A web based park management
License:    GPLv2
Group:      Monitoring
Url:        http://www.glpi-project.org/
Source0:    https://github.com/glpi-project/glpi/releases/download/%{version}/glpi-%{version}.tgz
Source1:    http://forge.indepnet.net/attachments/download/1152/glpidoc-0.85-fr.pdf
Source2:    %{name}-fedora-autoloader.php
Requires:   apache-mod_php
Requires:   php-fileinfo
Requires:   php-xml
Requires:   php-mysqli
Requires:   php-mbstring
Requires:   php-htmLawed
Requires:       php-composer(zendframework/zend-cache)  >= 2.4
Requires:       php-composer(zendframework/zend-i18n)   >= 2.4
Requires:       php-composer(zendframework/zend-loader) >= 2.4
Requires:       php-composer(iamcal/lib_autolink)       >= 1.7
Requires:       php-composer(sabre/vobject)             >= 3.4
Requires:       php-composer(michelf/php-markdown)      >= 1.6
# upstream ask 2.1, compatibility with 2.0 ensure by autoloader
Requires:       php-composer(true/punycode)             >= 2.1
Requires:       php-composer(simplepie/simplepie)       >= 1.4
# 6.2.13 to ensure we have the classmap autoloader
Requires:       php-composer(tecnickcom/tcpdf)          >= 6.2.13

Requires:       php-composer(zetacomponents/graph)
Recommends:     php-composer(phpmailer/phpmailer)       >= 5.2
Recommends:     php-composer(jasig/phpcas)              >= 1.3
BuildArch:  noarch

%description
GLPI is web based database application allowing to managed computers
and peripherals park. Its goal is to help technicians about maintenance
expiration, stock flow and license counting.

%prep
%setup -q -n %name
install -m 644 %{SOURCE1} .

# Drop bundled Flash files
find lib -name \*.swf -exec rm {} \; -print

# Use system lib
rm -rf lib/htmlawed
rm -rf vendor/*

sed -e "s,##DATADIR##,%{_datadir}," \
    %{SOURCE2} > vendor/autoload.php

%install
install -d -m 755 %{buildroot}%{_datadir}/%{name}

install -m 644 *.php *.js %{buildroot}%{_datadir}/%{name}

for i in ajax css front inc install lib locales pics plugins scripts vendor; do
    cp -ar $i %{buildroot}%{_datadir}/%{name}
done

install -d -m 755 %{buildroot}%{_sysconfdir}/glpi
install -m 644 config/*.php %{buildroot}%{_sysconfdir}/glpi
pushd %{buildroot}%{_datadir}/%{name}
ln -sf ../../..%{_sysconfdir}/glpi config
popd

install -m 644 COPYING.txt %{buildroot}%{_datadir}/%{name}

find %{buildroot}%{_datadir}/%{name} -name .htaccess | xargs rm -f

cat > %{buildroot}%{_sysconfdir}/glpi/config_path.php <<'EOF'
<?php
// for packaging defaults

define("GLPI_CONFIG_DIR",     "%{_sysconfdir}/glpi");

define("GLPI_DOC_DIR",        "%{_localstatedir}/lib/%{name}");
define("GLPI_CRON_DIR",       GLPI_DOC_DIR . "/_cron");
define("GLPI_DUMP_DIR",       GLPI_DOC_DIR . "/_dumps");
define("GLPI_GRAPH_DIR",      GLPI_DOC_DIR . "/_graphs");
define("GLPI_LOCK_DIR",       GLPI_DOC_DIR . "/_lock");
define("GLPI_PICTURE_DIR",    GLPI_DOC_DIR . "/_pictures");
define("GLPI_PLUGIN_DOC_DIR", GLPI_DOC_DIR . "/_plugins");
define("GLPI_RSS_DIR",        GLPI_DOC_DIR . "/_rss");
define("GLPI_SESSION_DIR",    GLPI_DOC_DIR . "/_sessions");
define("GLPI_TMP_DIR",        GLPI_DOC_DIR . "/_tmp");
define("GLPI_UPLOAD_DIR",     GLPI_DOC_DIR . "/_uploads");

define("GLPI_LOG_DIR",        "%{_localstatedir}/log/%{name}");

// System libraries
define("GLPI_HTMLAWED",       "%{_datadir}/php/htmLawed/htmLawed.php");

// Fonts
define('GLPI_FONT_FREESANS',  '/usr/share/fonts/gnu-free/FreeSans.ttf');
?>
EOF

install -d -m 755 %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/%{name}.conf <<EOF
Alias /%{name} %{_datadir}/%{name}

<Directory %{_datadir}/%{name}>
    Require all granted
    Options -FollowSymLinks
    # recommanded value
    php_value memory_limit 64M
</Directory>

<Directory %{_datadir}/%{name}/install>
    # 15" should be enough for migration in most case
    php_value max_execution_time 900
    php_value memory_limit 128M
</Directory>

<Directory %{_datadir}/%{name}/files>
    Require all denied
</Directory>

<Directory %{_datadir}/%{name}/inc>
    Require all denied
</Directory>

<Directory %{_datadir}/%{name}/locales>
    Require all denied
</Directory>

<Directory %{_datadir}/%{name}/mysql>
    Require all denied
</Directory>

<Directory %{_datadir}/%{name}/scripts>
    Require all denied
</Directory>
EOF

install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_cache
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_cron
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_dumps
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_graphs
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_lock
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_pictures
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_plugins
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_rss
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_sessions
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_tmp
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}/_uploads

install -d -m 755 %{buildroot}%{_localstatedir}/log/%{name}

install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
cat > %{buildroot}%{_sysconfdir}/logrotate.d/%{name} <<EOF
/var/log/glpi/*.log {
    notifempty
    missingok
    create 644 apache apache
}
EOF

install -d -m 755 %{buildroot}%{_sysconfdir}/cron.d
cat > %{buildroot}%{_sysconfdir}/cron.d/%{name} <<EOF
# Run cron from to execute task even when no user connected
* * * * * apache %{_bindir}/php %{_datadir}/%{name}/front/cron.php
EOF

%files
%doc CHANGELOG.txt README.md COPYING.txt LISEZMOI.txt
%doc glpidoc-0.85-fr.pdf
%{_datadir}/%name
%config(noreplace) %{_webappconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/cron.d/%{name}
%dir %attr(-,apache,apache) %{_sysconfdir}/glpi
%config(noreplace) %{_sysconfdir}/glpi/*
%attr(-,apache,apache) %{_localstatedir}/lib/%{name}
%attr(-,apache,apache) %{_localstatedir}/log/%{name}



%changelog
* Mon Feb 19 2018 guillomovitch <guillomovitch> 9.1.6-2.mga6
+ Revision: 1203277
- add dependency on php-fileinfo

  + neoclust <neoclust>
    - New version 9.1.6 (mga#21331)

* Thu Apr 20 2017 guillomovitch <guillomovitch> 9.1.1-2.mga6
+ Revision: 1096902
- enforce system libs usage

* Sat Dec 31 2016 guillomovitch <guillomovitch> 9.1.1-1.mga6
+ Revision: 1078849
- new version 9.1.1

* Sun Apr 24 2016 guillomovitch <guillomovitch> 0.90.3-1.mga6
+ Revision: 1005883
- new version 0.90.3

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Tue Dec 01 2015 guillomovitch <guillomovitch> 0.90.1-1.mga6
+ Revision: 907536
- new version 0.90.1

* Sat Nov 07 2015 guillomovitch <guillomovitch> 0.90-1.mga6
+ Revision: 898458
- new version 0.90

* Sun Oct 11 2015 guillomovitch <guillomovitch> 0.85.5-1.mga6
+ Revision: 889602
- new version 0.85.5

* Thu Jul 09 2015 guillomovitch <guillomovitch> 0.85.4-1.mga6
+ Revision: 853142
- new version 0.85.4

* Mon May 11 2015 neoclust <neoclust> 0.84.8-2.1.mga5
+ Revision: 821713
- Add patch to fix https://forge.indepnet.net/issues/5218

* Mon Jan 05 2015 guillomovitch <guillomovitch> 0.84.8-2.mga5
+ Revision: 808628
- fix SQL Injection CVE-2014-9258, using fedora patch

* Tue Oct 21 2014 guillomovitch <guillomovitch> 0.84.8-1.mga5
+ Revision: 792310
- new version 0.84.8

* Wed Oct 15 2014 umeabot <umeabot> 0.84.7-6.mga5
+ Revision: 742453
- Second Mageia 5 Mass Rebuild

* Wed Oct 08 2014 guillomovitch <guillomovitch> 0.84.7-5.mga5
+ Revision: 737601
- switch to system Zend Framework

* Fri Sep 26 2014 tv <tv> 0.84.7-4.mga5
+ Revision: 725058
- rebuild for bogus file deps

* Tue Sep 16 2014 tv <tv> 0.84.7-3.mga5
+ Revision: 689589
- fix excludes

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Tue Sep 16 2014 guillomovitch <guillomovitch> 0.84.7-2.mga5
+ Revision: 677597
- fix automatic dependencies
- enforce system libraries usage when available

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Thu Jul 31 2014 oden <oden> 0.84.7-1.mga5
+ Revision: 658635
- 0.84.7

* Mon Jun 23 2014 guillomovitch <guillomovitch> 0.84.6-1.mga5
+ Revision: 638793
- new version 0.84.6

* Thu Feb 27 2014 guillomovitch <guillomovitch> 0.84.5-1.mga5
+ Revision: 597600
- new version 0.84.5

* Sun Feb 09 2014 guillomovitch <guillomovitch> 0.84.4-2.mga5
+ Revision: 587043
- fix automatic dependencies

* Tue Feb 04 2014 guillomovitch <guillomovitch> 0.84.4-1.mga5
+ Revision: 580535
- new version 0.84.4

* Mon Nov 04 2013 guillomovitch <guillomovitch> 0.84.3-1.mga4
+ Revision: 549431
- new version

* Sat Oct 19 2013 umeabot <umeabot> 0.84.2-2.mga4
+ Revision: 534579
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 guillomovitch <guillomovitch> 0.84.2-1.mga4
+ Revision: 478466
- new version 0.84.2

* Mon Aug 19 2013 guillomovitch <guillomovitch> 0.84-1.mga4
+ Revision: 467845
- new version

* Wed Jul 03 2013 guillomovitch <guillomovitch> 0.83.9.1-1.mga4
+ Revision: 449952
- new version

* Fri Jun 21 2013 guillomovitch <guillomovitch> 0.83.9-1.mga4
+ Revision: 445409
- new version

* Tue Apr 02 2013 guillomovitch <guillomovitch> 0.83.8-1.mga3
+ Revision: 407341
- new version

* Sat Jan 12 2013 umeabot <umeabot> 0.83.7-2.mga3
+ Revision: 351828
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 guillomovitch <guillomovitch> 0.83.7-1.mga3
+ Revision: 326880
- new version

* Wed Oct 17 2012 fwang <fwang> 0.83.6-1.mga3
+ Revision: 307432
- new version 0.83.6

* Sat Aug 25 2012 guillomovitch <guillomovitch> 0.83.4-2.mga3
+ Revision: 283964
- ship correct manual version
- fix license not displayed during install (#7157)
- fix missing php-mbstring dependency (#7157)
- fix webapp configuration file location
- make webapp configuration file compliant with apache 2.4

* Sat Aug 04 2012 guillomovitch <guillomovitch> 0.83.4-1.mga3
+ Revision: 278473
- new version

* Fri Feb 10 2012 guillomovitch <guillomovitch> 0.80.7-2.mga2
+ Revision: 206827
- ooops, use correct sources

* Fri Feb 10 2012 guillomovitch <guillomovitch> 0.80.7-1.mga2
+ Revision: 206820
- new version

* Mon Jan 09 2012 guillomovitch <guillomovitch> 0.80.6.1-1.mga2
+ Revision: 193883
- new version

* Mon Oct 31 2011 guillomovitch <guillomovitch> 0.80.5-1.mga2
+ Revision: 160534
- new version

* Wed Sep 28 2011 guillomovitch <guillomovitch> 0.80.4-1.mga2
+ Revision: 149978
- new version
- ship documentation
- small spec cleanup
- new version

* Wed Jun 29 2011 fwang <fwang> 0.80.1-1.mga2
+ Revision: 115585
- new version 0.80.1

* Tue Apr 05 2011 misc <misc> 0.78.2-2.mga1
+ Revision: 80776
- fix incorrect requires on mod_php

* Sun Mar 06 2011 ennael <ennael> 0.78.2-1.mga1
+ Revision: 65499
- clean spec file
- imported package glpi

